Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trans
Class SaxonErrorCode

    java.lang.Object
      net.sf.saxon.trans.SaxonErrorCode

    public class SaxonErrorCode

extends Object

The class acts as a register of Saxon-specific error codes.

Technically, these codes should be in their own namespace. At present, however, they share the same namespace as system-defined error codes.

Field Summary
`static String` | `SXCH0002` SXCH0002: cannot supply output to ContentHandler because it is not well-formed
`static String` | `SXCH0003` SXCH0003: error reported by the ContentHandler (SAXResult) to which the result tree was sent
`static String` | `SXCH0004` SXCH0004: cannot load user-supplied ContentHandler
`static String` | `SXJE0001` SXJE0001: cannot convert xs:boolean to the required Java type
`static String` | `SXJE0002` SXJE0002: cannot convert xs:double to the required Java type
`static String` | `SXJE0003` SXJE0003: cannot convert xs:duration to the required Java type
`static String` | `SXJE0004` SXJE0004: cannot convert xs:float to the required Java type
`static String` | `SXJE0005` SXJE0005: cannot convert xs:string to Java char unless the length is exactly one
`static String` | `SXJE0006` SXJE0006: cannot convert xs:string to the required Java type
`static String` | `SXJE0007` SXJE0007: cannot convert xs:dayTimeDuration to the required Java type
`static String` | `SXJE0008` SXJE0008: cannot convert xs:yearMonthDuration to the required Java type
`static String` | `SXJE0021` SXJE0021: cannot convert XPath value to the type required by the signature of an extension function
`static String` | `SXJE0022` SXJE0022: cannot convert XPath value to the type required by the signature of an extension function, the XPath value is a sequence of more than one item but the Java type is a singleton
`static String` | `SXJE0023` SXJE0023: cannot convert XPath item to the member type of a Java array
`static String` | `SXJE0051` SXJE0051: supplied Java List/Array contains a member that cannot be converted to an Item
`static String` | `SXLM0001` SXLM0001: stylesheet or query appears to be looping/recursing indefinitely
`static String` | `SXSE0001` SXSE0001: cannot use character maps in an environment with no Controller
`static String` | `SXSE0002` SXSE0002: cannot use output property saxon:supply-source-locator unless tracing was enabled at compile time
`static String` | `SXSE0003` SXSE0003: unknown serialization property (the serialization spec says this is an error but gives no error code)
`static String` | `SXSQ0001` SXSQ0001: value of argument to SQL instruction is not a JDBC Connection object
`static String` | `SXSQ0002` SXSQ0002: failed to close JDBC Connection
`static String` | `SXSQ0003` SXSQ0003: failed to open JDBC Connection
`static String` | `SXSQ0004` SXSQ0004: SQL Insert/Update/Delete action failed
`static String` | `SXST0060` SXST0060: Template in a streaming mode is not streamable
`static String` | `SXST0061` SXST0061: Requested initial mode is streamable; must supply SAXSource or StreamSource
`static String` | `SXST0062` SXST0062: Dynamic error: disallowed navigation from a streaming mode.
`static String` | `SXST0063` SXST0063: A streamable template returns nodes from the streamed input document
`static String` | `SXST0064` SXST0064: A pattern in a streamable template uses predicates that reposition the input stream
`static String` | `SXST0065` SXST0065: Cannot use tracing with streaming templates
`static String` | `SXST0066` SXST0066: Within a conditional expression in a streamed template, the condition cannot read the streamed input
`static String` | `SXST0067` SXST0067: Within a streamed template, cannot call last()
`static String` | `SXST0068` SXST0068: Parameters of a streamed template, cannot consume the input stream
`static String` | `SXST0069` SXST0069: A parameter to a streamed template must not reference a node in the streamed document
`static String` | `SXST0070` SXST0070: Body of for-each must not select from streamed document unless the select expression does so
`static String` | `SXST0071` SXST0071: Cannot navigate upwards and then downwards when streaming
`static String` | `SXUP0081` SXUP0081: attempt to update a non-updateable node
`static String` | `SXWN9001` SXWN9001: a variable declaration with no following siblings has no effect
`static String` | `SXWN9002` SXWN9002: saxon:indent-spaces must be a positive integer
`static String` | `SXWN9003` SXWN9003: saxon:require-well-formed must be "yes" or "no"
`static String` | `SXWN9004` SXWN9004: saxon:next-in-chain cannot be specified dynamically
`static String` | `SXWN9005` SXWN9005: The 'default' attribute of saxon:collation no longer has any effect
`static String` | `SXWN9006` SXWN9006: No schema-location was specified, and no schema with the requested target namespace is known, so the schema import was ignored
`static String` | `SXWN9008` SXWN9008: Saxon extension element not recognized because namespace not declared in extension-element-prefixes
`static String` | `SXWN9009` SXWN9009: an empty xsl:for-each or xsl:for-each-group has no effect
`static String` | `SXWN9010` SXWN9010: saxon:recognize-binary must be "yes" or "no"
`static String` | `SXWN9011` SXWN9011: saxon:memo-function ignored under Saxon-HE
`static String` | `SXWN9012` SXWN9012: saxon:threads ignored when compiling with trace enabled
`static String` | `SXWN9013` SXWN9013: saxon:threads ignored when not running under Saxon-EE
`static String` | `SXXF0001` SXXF0001: first argument to saxon:eval must be an expression prepared using saxon:expression
`static String` | `SXXF0002` SXXF0002: undeclared namespace prefix used in saxon:script
`static String` | `SXXP0003` SXXP0003: error reported by XML parser while parsing source document
`static String` | `SXXP0004` SXXP0004: externally supplied node belongs to the wrong Configuration

Constructor Summary
`SaxonErrorCode()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SXLM0001

    public static final String SXLM0001

  SXLM0001: stylesheet or query appears to be looping/recursing indefinitely

  See Also:
    Constant Field Values

### SXCH0002

    public static final String SXCH0002

  SXCH0002: cannot supply output to ContentHandler because it is not well-formed

  See Also:
    Constant Field Values

### SXCH0003

    public static final String SXCH0003

  SXCH0003: error reported by the ContentHandler (SAXResult) to which the result tree was sent

  See Also:
    Constant Field Values

### SXCH0004

    public static final String SXCH0004

  SXCH0004: cannot load user-supplied ContentHandler

  See Also:
    Constant Field Values

### SXSE0001

    public static final String SXSE0001

  SXSE0001: cannot use character maps in an environment with no Controller

  See Also:
    Constant Field Values

### SXSE0002

    public static final String SXSE0002

  SXSE0002: cannot use output property saxon:supply-source-locator unless tracing was enabled at compile time

  See Also:
    Constant Field Values

### SXSE0003

    public static final String SXSE0003

  SXSE0003: unknown serialization property (the serialization spec says this is an error but gives no error code)

  See Also:
    Constant Field Values

### SXXP0003

    public static final String SXXP0003

  SXXP0003: error reported by XML parser while parsing source document

  See Also:
    Constant Field Values

### SXXP0004

    public static final String SXXP0004

  SXXP0004: externally supplied node belongs to the wrong Configuration

  See Also:
    Constant Field Values

### SXXF0001

    public static final String SXXF0001

  SXXF0001: first argument to saxon:eval must be an expression prepared using saxon:expression

  See Also:
    Constant Field Values

### SXXF0002

    public static final String SXXF0002

  SXXF0002: undeclared namespace prefix used in saxon:script

  See Also:
    Constant Field Values

### SXSQ0001

    public static final String SXSQ0001

  SXSQ0001: value of argument to SQL instruction is not a JDBC Connection object

  See Also:
    Constant Field Values

### SXSQ0002

    public static final String SXSQ0002

  SXSQ0002: failed to close JDBC Connection

  See Also:
    Constant Field Values

### SXSQ0003

    public static final String SXSQ0003

  SXSQ0003: failed to open JDBC Connection

  See Also:
    Constant Field Values

### SXSQ0004

    public static final String SXSQ0004

  SXSQ0004: SQL Insert/Update/Delete action failed

  See Also:
    Constant Field Values

### SXJE0001

    public static final String SXJE0001

  SXJE0001: cannot convert xs:boolean to the required Java type

  See Also:
    Constant Field Values

### SXJE0002

    public static final String SXJE0002

  SXJE0002: cannot convert xs:double to the required Java type

  See Also:
    Constant Field Values

### SXJE0003

    public static final String SXJE0003

  SXJE0003: cannot convert xs:duration to the required Java type

  See Also:
    Constant Field Values

### SXJE0004

    public static final String SXJE0004

  SXJE0004: cannot convert xs:float to the required Java type

  See Also:
    Constant Field Values

### SXJE0005

    public static final String SXJE0005

  SXJE0005: cannot convert xs:string to Java char unless the length is exactly one

  See Also:
    Constant Field Values

### SXJE0006

    public static final String SXJE0006

  SXJE0006: cannot convert xs:string to the required Java type

  See Also:
    Constant Field Values

### SXJE0007

    public static final String SXJE0007

  SXJE0007: cannot convert xs:dayTimeDuration to the required Java type

  See Also:
    Constant Field Values

### SXJE0008

    public static final String SXJE0008

  SXJE0008: cannot convert xs:yearMonthDuration to the required Java type

  See Also:
    Constant Field Values

### SXJE0021

    public static final String SXJE0021

  SXJE0021: cannot convert XPath value to the type required by the signature of an extension function

  See Also:
    Constant Field Values

### SXJE0022

    public static final String SXJE0022

  SXJE0022: cannot convert XPath value to the type required by the signature of an extension function, the XPath value is a sequence of more than one item but the Java type is a singleton

  See Also:
    Constant Field Values

### SXJE0023

    public static final String SXJE0023

  SXJE0023: cannot convert XPath item to the member type of a Java array

  See Also:
    Constant Field Values

### SXJE0051

    public static final String SXJE0051

  SXJE0051: supplied Java List/Array contains a member that cannot be converted to an Item

  See Also:
    Constant Field Values

### SXST0060

    public static final String SXST0060

  SXST0060: Template in a streaming mode is not streamable

  See Also:
    Constant Field Values

### SXST0061

    public static final String SXST0061

  SXST0061: Requested initial mode is streamable; must supply SAXSource or StreamSource

  See Also:
    Constant Field Values

### SXST0062

    public static final String SXST0062

  SXST0062: Dynamic error: disallowed navigation from a streaming mode. Used when the streaming analysis was optimistic, and the optimism proved unfounded.

  See Also:
    Constant Field Values

### SXST0063

    public static final String SXST0063

  SXST0063: A streamable template returns nodes from the streamed input document

  See Also:
    Constant Field Values

### SXST0064

    public static final String SXST0064

  SXST0064: A pattern in a streamable template uses predicates that reposition the input stream

  See Also:
    Constant Field Values

### SXST0065

    public static final String SXST0065

  SXST0065: Cannot use tracing with streaming templates

  See Also:
    Constant Field Values

### SXST0066

    public static final String SXST0066

  SXST0066: Within a conditional expression in a streamed template, the condition cannot read the streamed input

  See Also:
    Constant Field Values

### SXST0067

    public static final String SXST0067

  SXST0067: Within a streamed template, cannot call last()

  See Also:
    Constant Field Values

### SXST0068

    public static final String SXST0068

  SXST0068: Parameters of a streamed template, cannot consume the input stream

  See Also:
    Constant Field Values

### SXST0069

    public static final String SXST0069

  SXST0069: A parameter to a streamed template must not reference a node in the streamed document

  See Also:
    Constant Field Values

### SXST0070

    public static final String SXST0070

  SXST0070: Body of for-each must not select from streamed document unless the select expression does so

  See Also:
    Constant Field Values

### SXST0071

    public static final String SXST0071

  SXST0071: Cannot navigate upwards and then downwards when streaming

  See Also:
    Constant Field Values

### SXUP0081

    public static final String SXUP0081

  SXUP0081: attempt to update a non-updateable node

  See Also:
    Constant Field Values

### SXWN9001

    public static final String SXWN9001

  SXWN9001: a variable declaration with no following siblings has no effect

  See Also:
    Constant Field Values

### SXWN9002

    public static final String SXWN9002

  SXWN9002: saxon:indent-spaces must be a positive integer

  See Also:
    Constant Field Values

### SXWN9003

    public static final String SXWN9003

  SXWN9003: saxon:require-well-formed must be "yes" or "no"

  See Also:
    Constant Field Values

### SXWN9004

    public static final String SXWN9004

  SXWN9004: saxon:next-in-chain cannot be specified dynamically

  See Also:
    Constant Field Values

### SXWN9005

    public static final String SXWN9005

  SXWN9005: The 'default' attribute of saxon:collation no longer has any effect

  See Also:
    Constant Field Values

### SXWN9006

    public static final String SXWN9006

  SXWN9006: No schema-location was specified, and no schema with the requested target namespace is known, so the schema import was ignored

  See Also:
    Constant Field Values

### SXWN9008

    public static final String SXWN9008

  SXWN9008: Saxon extension element not recognized because namespace not declared in extension-element-prefixes

  See Also:
    Constant Field Values

### SXWN9009

    public static final String SXWN9009

  SXWN9009: an empty xsl:for-each or xsl:for-each-group has no effect

  See Also:
    Constant Field Values

### SXWN9010

    public static final String SXWN9010

  SXWN9010: saxon:recognize-binary must be "yes" or "no"

  See Also:
    Constant Field Values

### SXWN9011

    public static final String SXWN9011

  SXWN9011: saxon:memo-function ignored under Saxon-HE

  See Also:
    Constant Field Values

### SXWN9012

    public static final String SXWN9012

  SXWN9012: saxon:threads ignored when compiling with trace enabled

  See Also:
    Constant Field Values

### SXWN9013

    public static final String SXWN9013

  SXWN9013: saxon:threads ignored when not running under Saxon-EE

  See Also:
    Constant Field Values

Constructor Detail

### SaxonErrorCode

    public SaxonErrorCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.